Skip to content

List All Groups

Request

Lists all the groups in your account.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/groups.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/groups.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 01:12:42 GMT"
ETagstring
Example:"W/\"b370ef7637b5a36d3b39fc40d3891740\""
Locationstring
Example:"https://api.vworkapp.com/api/v4/groups"
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"13ec9527-6f4b-4c95-9567-eabb45980107"
X-Runtimestring
Example:"0.134730"
X-Unique-IDstring
Example:"CA7C7B8A:D0B8_0A001312:01BB_575F59B6_A3947F:1EC7"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<groups type="array">
    <group>
        <id>123</id>
        <name>Service Vehicles</name>
        <description>All mobile workers capable of handling business hours service call outs.</description>
        <user_ids>1,2,3</user_ids>
        <created_at>2012-08-27T01:49:07+00:00</created_at>
        <updated_at>2012-08-27T01:49:07+00:00</updated_at>
    </group>
    <group>
        <id>321</id>
        <name>After Hours</name>
        <description>All mobile workers capable of handling after hours service call outs.</description>
        <user_ids>4,5,6</user_ids>
        <created_at>2012-08-27T02:02:11+00:00</created_at>
        <updated_at>2012-08-27T02:02:11+00:00</updated_at>
    </group>
</groups>